.pscan {

  .absolute();
  overflow: hidden;

  .controls-resize-wrapper {
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    width: 50%;
    border: 1px solid #b8b8b8;
    border-width: 0px 1px 0px 0px;

    > .ui-resizable-e {
      position: absolute;
      top: 0px;
      right: -5px;
      bottom: 0px;
      width: 10px;
      cursor: ew-resize;
      z-index: 1 !important;

      &:active {
        right: -500px;
        width: 1000px;
      }
    }

    .controls-wrapper {
      .absolute();
      overflow: auto;
      padding: 10px 20px;

      #dir-row {
        margin-bottom: 10px;
      }

      > h4 {
        margin-top: 30px;
      }

      #config-row {
        > div {
          padding-left: 0px;
        }

        h5 {
          margin-top: 20px;
        }

        ul.dropdown-menu {
          max-width: 300px;
        }

        a.pull-left {
          width: 100%;
          padding-right: 40px;
          text-overflow: ellipsis;
          overflow: hidden;
        }

        .item-remove {
          position: absolute;
          height: 24px;
          width: 30px;
          right: 5px;
          padding-top: 5px;
          cursor: pointer;
          text-align: center;
        }

        .tooltip-inner {
          max-width: 300px;
          word-wrap: break-word;
          white-space: pre-wrap;
        }
      }

      .input-group {
        input {
          z-index: 0;

          &:focus {
            z-index: 3;
          }
        }

        > span.input-group-btn {
          button:focus & {
            z-index: 3;
          }
        }
      }

      h4 > i {
        margin-right: 10px;
      }

      #tabs {
        margin-top: -30px;

        > ul {
          padding-left: 150px;

          #n-files {
            margin-left: 6px;
          }
        }

        #overview {
          tbody > tr {
            cursor: pointer;

            &:focus {
              outline: none;

              &:not(.success) > td {
                background-color: #d9edf7;
              }

              &:not(.success):hover > td {
                background-color: #c4e3f3;
              }
            }
          }
        }

        #overview, #manipulators {
          > span {
            display: block;
            margin: 10px;
            font-style: italic;
          }
          > table {
            display: none;
          }
        }

        #controls {
          margin-top: 5px;

          th {
            vertical-align: middle;
          }

          #manipulator-menu {

            > button {
              color: inherit;
            }

            .fa.pull-right {
              line-height: inherit;
              display: none;
            }
          }
        }

        #readonly {
          width: 80px;
        }

        #readonly, #slider, #dropdown {
          display: none;
        }

        .bootstrap-select {
          button > span > i.glyphicon {
            display: none;
          }
          li > a > span.glyphicon:first-child {
            margin-right: 5px;
          }
        }
      }
    }
  }

  .image-wrapper {
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    width: 50%;
    background-image: url(../img/grey_wash_wall.png);
    background-position: center;
    box-shadow: inset 0px 0px 15px rgba(30, 30, 30, 0.7);

    #placeholder {
      .absolute(30px, 30px, 30px, 30px);
      min-height: 150px;
      min-width: 200px;
      font-size: 30px;
      font-weight: lighter;
      color: #ddd;
      border: 1px solid #ddd;
      border-radius: 10px;
    }

    .frame {
      .absolute();
      display: none;

      #header {
        position: absolute;
        top: 0px;
        right: 0px;
        left: 0px;
        height: 45px;
        color: #444;
        font-weight: bold;
        background-color: white;
        box-shadow: inset 0px -1px 0px #b8b8b8;

        #filename-wrapper {
          .absolute(@right: 50px);
          width: none;
        }

        #btn-wrapper {
          position: absolute;
          width: 45px;
          right: 5px;
          overflow: visible;
        }

        #mtime {
          font-size: 12px;
          color: #555;
          margin-left: 10px;
          font-weight: normal;
        }
      }

      #image {
        .absolute(@top: 45px);
        background-color: white;

        iframe {
          position: absolute;
          height: 100%;
          width: 100%;
          border: 0px;
        }
      }
    }
  }
}

.absolute(@top: 0px, @right: 0px, @bottom: 0px, @left: 0px) {
  position: absolute;
  top: @top;
  right: @right;
  bottom: @bottom;
  left: @left;
}
